javax.swing.plaf.basic

## Class BasicListUI.PropertyChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicListUI.PropertyChangeHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Enclosing class:
  BasicListUI

    public class BasicListUI.PropertyChangeHandler
    extends Object
    implements PropertyChangeListener

The PropertyChangeListener that's added to the JList at installUI time. When the value of a JList property that affects layout changes, we set a bit in updateLayoutStateNeeded. If the JLists model changes we additionally remove our listeners from the old model. Likewise for the JList selectionModel.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `BasicListUI.maybeUpdateLayoutState()`, `BasicListUI.createPropertyChangeListener()`, `BasicListUI.installUI(javax.swing.JComponent)`

### Constructor Summary

Constructors
Constructor and Description
`BasicListUI.PropertyChangeHandler()`

### Method Summary

Methods
`void` `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicListUI.PropertyChangeHandler

    public BasicListUI.PropertyChangeHandler()

### Method Detail

#### propertyChange

    public void propertyChange(PropertyChangeEvent e)

Description copied from interface: `PropertyChangeListener`
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.